function acf = bgracf(profsa,proflen,unbias)

%ACF = BGRACF(SA,LEN,UNBIAS)
%  Compute a "background" ACF. All points of a given "lagprofile" are
%  summed together (or averaged, if UNBIAS is set). SA and LEN are
%  vectors giving the lagprofile lengths and start _addresses_ in a
%  dump. The ACF is returned as a column vector.
%
%  21-May-2000 Jm

global d_data
if nargin ~= 3
    error('Wrong number of input arguments')
end    

n = length(profsa);
acf = zeros(n,1);
for lix = 1:n
    adr = profsa(lix) + (1:proflen(lix)); 
    acf(lix) = sum(d_data(adr));
end    

if unbias
    acf = acf ./ proflen(:);
end    
