function pp_acfsp_header(CH, gate, range, wtype, gating) 

%PP_ACFSP_HEADER(CH, GATE, RANGE, WTYPE, GATING) 
%
%   4-Dec-1999 Jm

%{--------------------------------------------------------------------

    global MODE GUP rtg_FIGhandle DMPT pp_OPT ELEV FREQCH

    if nargin ~= 5
        error('wrong number of arguments')
    end

    gate = round(gate);

    set(0,'CurrentFigure',rtg_FIGhandle(2));


    % number of output gates

    ngates = length(range);

    if ngates == 1

        % list also the raw gates used for the output gate
        % also, always indate both range and altitude

        if gating > 1
            g_str = sprintf('<%d> (%d-%d)',gating, gate(1), gate(end));    
        else
            g_str = sprintf('G%d', gate);    
        end                                    

        h = range2alt(range,ELEV);

        gate_str = sprintf('R %1.0f  H %1.0f  %s   %s', ...
                            range,     h,         g_str, wtype); 

    else % more than one output gate

        if ppopt_altitude
            dist = range2alt(range,ELEV);
            dist_id = 'H';
        else
            dist = range;
            dist_id = 'R';            
        end        

        % Gating factor string

        if gating > 1
            g_str = sprintf(' <%d>',gating);
        else
            g_str = '';
        end                        

        if ngates <= 5  % ngates > 1

            % We list all gate ranges | altitudes

            s = sprintf('%d ',round(dist)); s(end) = [];

            gate_str = sprintf(' %s %s %s  %s', ...
                                 dist_id, s, g_str, wtype); 

        else

            % We show only first and last gate's distance, and the
            % gating factor.

            s = sprintf('%1.0f-%1.0f', dist(1), dist(end));

            gate_str = sprintf(' %s %s %s  %s', ...
                                 dist_id, s, g_str, wtype); 

        end
    end
    
    ch_ave = length(CH) > 0;
    rtguh( FREQCH, MODE, [], fix(DMPT), gate_str, ch_ave);
    
%}pp_acfsp_header
