function pp_config_default(ExpName)

%PP_CONFIG_DEFAULT(EXPNAME)
%   Default user configurabled variables for pp_generic.m. The definitions
%   can be overwritten by a user-supplied configuration file pp_config.m    
%
%   See also ppopt.m and pp_config.m

% 16-Oct-1999 Am
% 26-Oct-1999 Jm
% 7-Dec-1999 Jm
%-------------------------------------------------------------

    ppopt  acfplottype     MESH;
    ppopt  altid           YES;         % Use altitude instead of range
    ppopt  biased_acf      YES;
    ppopt  deweight        YES;         % Correct profiles for  decoding
                                        % filter ramps and clutter
                                        % subtraction
    ppopt  fminfmax	   [-Inf Inf];
    ppopt  gatingfactor    0;           % 0 ==> type-dependent default
    ppopt  gray_images     NO;
    ppopt  lix             1;           % Lowest available lag
    ppopt  normalize       NO;          % No scaling by noise injection
    ppopt  range_scaling   YES;         % Scale by r^2
    ppopt  specplottype    IMAGE;
    ppopt  windowed_sp     YES;         % Use Hanning window in spectra

    pp_setgate(Inf,'default');          % Type-dependent default gating
                                        % in ACF/SP plots, see
                                        % pp_getgate.m

