function r = pp_gaterange(gates,CH)

%R = PP_GATERANGE(GATES,CH)
% Range of ACF range gate __ABOVE__ the first fully weighted gate. 
% GATES also are taken to refer to the "fully weighted" gates. That is,
% GATES = 1 is taken to refer to the first fully weighted gate.
%
% For altcodes,  the range of the first fully weighted acf range gate is
% taken to correspond to the range of the center point of the top baud of
% the illumination of the first sample. That range is Nfract/2 * dr
% below the top of the illumination, where dr is gate separation
% (corresponds to 1 tau). (Note that that range is also the range of
% first fully weighted point of the integerlag=1 lag profile.)
%
% For a longpulse ACF, we take the range of the first range gate to
% correspond to the top of illumination of first sample, minus dr/2,
% which corresponds to triangular acf gates and infinitely short
% receiver impulse response.
%
% 28-Nov-1999 Jm
% 22-May-2000 Jm Remove rounding from the output range.

%{
    global GUP
    
    dr = GUP.dr;
    if pp_isac(CH(1))
        r0 = GUP.r0(CH(1)) - (GUP.Nfract/2)*dr;
    else        
        r0 = GUP.r0(CH(1)) - dr/2;
    end
%    r = round(r0 + (gates-1)*dr);
    r = r0 + (gates-1)*dr;
%}gaterange    

