function [result, rtn, ID, RMB] = pp_generic_interface(Caller, Action, varargin)

%[result, rtn, ID, RMB] = pp_generic_interface(Caller, Action, varargin)
%
%   Various checks on behalf of rtg20 style pp_xxx functions. Place
%   this routine at the beginning of the pp_xxx functions.
%
%   Last modified 7-Dec-1999 Jm    

% MODIFICATIONS
%-----------------------------------------------------------------------------
% 7-Nov-1999 Jm
% 19-Nov-1999 Jm: In addition of reacting to version change, now
%                 also handles experiment class change like gup3-->tau0.
% 30-Nov-1999 Jm: Unnecessary delete of userfig2 removed.
% 07-Dec-1999 Jm: Action 'delete' implemented
% 02-Apr-2000 Jm: Decimal format of 'version' is placed to rtg_CONST. 

%{----------------------------------------------------------------------------

    global GUP old_ExpInfo rtg_FIGhandle XDEFNAME rtg_CONST

    if nargin < 2
        error('Wrong number of input parameters')
    end    

    pperr('');

    result  = '';
    rtn     = 0;
    ID      = 0;
    RMB     = 0;

    if strcmp(Action,'go')
        rtn = 0;

    elseif strcmp(Action,'init')
        pp_generic_init(varargin{1},Caller);
        result = pperr;
        rtn = 1;
        return;

    elseif strcmp(Action,'config')
        result = which('pp_config');
        rtn = 1;
        return 
 
    elseif strcmp(Action,'call')
        if nargin < 3
            error('Parameter missing');
        else
            rtn = 2;
            return;
        end                        

    elseif strcmp(Action,'done') | strcmp(Action,'delete')
        pp_generic_delete;
        rtn = 1;
        return;

    else
        pperr([Caller ': Illegal command (' Action ')']);
        rtn = 1;
        return;
    end    

    % Find the _version_ of the experiment.
    % If the version has changed, reinitialize.

    [isnew, expid, version, old_ExpInfo, msg] = check_version(old_ExpInfo);
    rtg_CONST.vsnum = str2num(version);  % version number, 
                                         % in 3-digit decimal as 141, etc.

    if isempty(isnew)
        pperr(msg);
        rtn = 1;
        return
    elseif isnew >= 1
        % Execute experiment's xdef, with parameter 'reinit'

        fprintf(1,'xdef: %s\n', XDEFNAME);
        [msg,GUP] = feval(XDEFNAME,'reinit',version);
        if ~isempty(msg)
            pperr(msg);
            rtn = 1;
            return 
        end 

        % Execute experiment's pp_config, with parameter 'reinit'

        if exist('pp_config') == 2
            fprintf(1,'pp_config: %s\n', which('pp_config'));
            pp_config('reinit',expid,version);
        else
            fprintf(1,'pp_config: -\n');
        end        
    end    

    % Get the interactively defined RMB number and plot mode's ID

    [RMB,ID] = pp_xxx_checks; 
    if isempty(RMB) 
        rtn = 1;
        return 
    end

    % Ensure that we are going to draw to the right figure window

    set(0,'currentfigure',rtg_FIGhandle(2));

    return
%}pp_generic_interface

