function [gates,gating,r] = pp_getgate(rmb)

%PP_GETDATE Get current rtg ACF/SP geting definition.
%   [GATES,GATING,GATERANGE] = PP_GETGATE(RMB)
%
%   29-Nov-1999 Jm

%{-----------------------------------------
    global GATE

    if nargin ~= 1
        error('Wrong number of input arguments');
    end        
    
    if isempty(GATE)
        GATE = 0;
    end        
    
    if isnumeric(GATE)
        if GATE == 1
            [gates,gating] = default_gating(rmb);
            if nargout == 3
                r = pp_gaterange(gates,rmb);
                r = rtg_gater(r,gating);
            end            
        else
            gates = [];
            gating = [];            
            r = [];
        end
    elseif isstruct(GATE)
        if rmb > length(GATE)
            [gates,gating] = default_gating(rmb);
        else
            if isempty(GATE(rmb).gates)
                [gates,gating] = default_gating(rmb);
            else        
                gates = GATE(rmb).gates;
                gating = GATE(rmb).gating;
            end
        end                        
        if nargout == 3
            r = pp_gaterange(gates,rmb);
            r = rtg_gater(r,gating);
        end
    else
        error('invalid GATE')
    end                    
%}pp_getgate            


function [gates,gating] = default_gating(rmb)
%--------------------------------------------
%}
    global GUP            
    
    N = 32;
    
    if pp_isac(rmb)
        % For altcode, the default gating is to show full range of the
        % code, using about N points to cover it.

        % Number of fully weigted acf gates available

        nfract = GUP.Nfract;
        nbits = GUP.ACnbits;
        nsamples = GUP.Nsamples;
        maxgate = (nsamples-1) - (nbits-1)*nfract - 2*(nfract-1);

        % arrange about 32 gates, covering most of range

        gating = floor(maxgate/N);
        maxgate = N*gating;
        gates = 1:maxgate; 
    
    else
        % For longpulse, the default gating is to cover the full
        % range with about N (raw) gates.
        
        maxgate = GUP.Nsamples - GUP.LPlags(end);
        gates = round(linspace(1,maxgate,N));        
        gating = 1;
    end
%}default_gating    
