function res = pp_gui(command,pars)
 
%RES=PP_GUI(COMMANDS,PARS) 
%   Define rtg userfigure menus 
%   COMMAND = 'fixed'|'channel'|'channel2'|'mode' 
% 
%   29-Oct-1999 Jm 
%   22-May-2000 Jm - Menubar toggle added to [File] menu.

 
    res = [];  
    if nargin == 1, pars = []; end 
 
    if strcmp(command,'fixedmu') 
        define_fixed_menus; 
    elseif strcmp(command,'channelmu') 
        res = define_channelmu(pars); 
    elseif strcmp(command,'channelmu2') 
        res = define_channelmu2(pars); 
    elseif strcmp(command,'modemu') 
        res = define_modemu(pars); 
    else 
        error('Illegal parameter'); 
    end 
  
 
 
%}pp_gui     
 
 
function define_fixed_menus 
%-------------------------- 
%{         
    global GATE rtg_gateMU2 rtg_fileMU2_dis rtg_viewMU2_fz pp_OPT 

    FGC = 'white';
 
    % Create top level menus : 
 
    fileMU = uimenu(gcf, 'label', ' File ','foregroundcolor',FGC); 
    viewMU = uimenu(gcf, 'label', ' View ','foregroundcolor',FGC); 
 
%     if ~isempty(GATE) 
%         if ~isfield(GATE,'title') 
%             GATE.title= 'Gate'; 
%         end     
%         if ~isfield(GATE,'prompt') 
%             GATE.title= 'gatevector'; 
%         end     
%         GATE.default = GATE.string; 
%         GATE.value   = str2num(GATE.default); 
%         rtg_gateMU2 = ... 
%         uimenu(gcf, 'label', [' ' GATE.title ' '],  ... 
%             'accel', 'G' ... 
%             ); 
%     else 
        rtg_gateMU2 = []; 
%     end 
     
    meaMU = uimenu(gcf, 'label', ' Measure ','foregroundcolor',FGC,'Tag', 'meaMU2'); 
    winMU = uimenu(gcf, 'label', ' Window ' ,'foregroundcolor',FGC,'Tag', 'winMU2'); 
 
 
    % Create submenus 
 
         
    % -------------- [File] -------------------------------------------- 
 
    MU = fileMU; 

     %----[Menubar] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Matlab Menu',                                ...  
                'separ', 'on',                               ... 
                'call',  'rtg_main(''menubartoggle'')'       ...  
           );   
 
    
    %----[Print] 
 
    uimenu(MU,'label','Print','foregroundcolor',FGC,    ...  
            'call','rtg_main(''print'',2)'                  ...   
            ); 
 
    %----[PrintC] 
 
    uimenu(MU,'foregroundcolor',FGC,'label','PrintC',                             ...  
                   'call','rtg_main(''printc'',2)'          ...      
          ); 
 
 
    %----[Eps] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Eps...',                           ...                               
                'call', 'rtg_main(''eps'',2)'               ...  
          );        
 
 
    %----[EpsC] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'EpsC...',                          ...  
                'call', 'rtg_main(''epsc'',2)'              ...  
          );        
 
    %----[Snap] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Snap...',                          ...  
               'call', 'rtg_main(''snap'',2)'               ...  
          );        
 
    %----[Gif] 
 
    uimenu(MU,'foregroundcolor',FGC,                                              ...  
              'label', 'Gif...',                            ...  
              'call', 'rtg_main(''gif'')' );        
 
    %----[Disable] 
 
    mu = ...  
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Disable',                          ...  
            'check','off',                                  ...  
            'separ','on',                                   ...  
            'call', [                                       ...  
                'rtg_main(''uplotdisable'')'                ...  
                ]                                           ...  
            ); 
 
    rtg_fileMU2_dis = mu;                                                                    
 
 
    %--------------- [View] ------------------------------------------ 
 
    MU = viewMU; 
 
    %----[Freeze XY] 
          
    mu = ...  
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Freeze X Y',                           ...  
            'call', [                                           ...  
                'global rtg_viewMU2_fz,'                        ...  
                'pp_call(''userax_freeze'',rtg_viewMU2_fz)',    ...  
                ]                                               ...  
            );   
 
    rtg_viewMU2_fz = mu; 
 
    %----[Zoom X] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Zoom X...',                        ...  
              'call','pp_call(''zoomx'')'                   ...  
         );   
 
    %----[Zoom XY] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Zoom X Y...',                      ...  
              'call','pp_call(''zoomxy'')'                  ...  
         );   
     
    %----[Options] 
 
    mu = ...  
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Options Power',                    ...  
                  'separ','on',                             ...  
                  'call','pp_call(''options'',''Power'')'   ...  
             );   
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Options ACF',                      ...  
                  'call','pp_call(''options'',''ACF'')'     ...  
             ); 
     uimenu(MU,'foregroundcolor',FGC, 'label', 'Options Spectra',                 ...  
                  'call','pp_call(''options'',''Spectra'')' ...  
             ); 
      uimenu(MU,'foregroundcolor',FGC, 'label', 'Set Gate',                    ...  
                  'separ','on',                             ...  
                  'call','pp_call(''options'',''Gate'')'   ...  
             );                              
    if isempty(pp_OPT), set(mu,'Enable','off'), end 
 
 
    %--------------- [Window] ---------------------------------------- 
 
    MU = winMU; 
 
    %----[Small] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Small',                                ... 
                'call',  'pp_call(''resize'',''S'')'            ... 
           );   
 
    %----[Large] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Large',                                ... 
                'call',  'pp_call(''resize'',''L'')'            ... 
            );   
 
    %----[Tall] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Tall',                                 ... 
                'call',  'pp_call(''resize'',''T'')'            ... 
           );   
 
    %----[High] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'High',                                 ... 
                'call',  'pp_call(''resize'',''H'')'            ... 
           );   
 
 
    %----[Wide] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Wide',                                 ... 
                'call',  'pp_call(''resize'',''W'')'            ... 
           );   
 
 
    %----[Narrow] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Narrow',                               ... 
                'call',  'pp_call(''resize'',''N'')'            ... 
           );   
 
    %-----[Reset] 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Reset',                                ... 
                'call',  'pp_call(''resize'',''R'')'            ... 
           );   
 
 
    %--------------- [Measure] --------------------------------------- 
 
    MU = meaMU; 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Select Line...',                       ...  
        'call', 'pp_call(''select_line'', ''select'')'          ...  
        );   
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Select and Mark...',                   ...  
        'call', 'pp_call(''select_line'', ''selectandmark'')'   ...  
        ); 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Deselect All',                         ...  
        'call', 'pp_call(''select_line'', ''deselectall'')'     ...  
        );   
 
    % - - - - - - - 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Mean',              ...  
        'separ','on',                        ...  
        'call',  'pp_call(''mean_line'')'    ...  
        );   
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Sdev',              ...  
        'call',  'pp_call(''std_line'')'     ...  
        );   
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Sdev/Mean',         ...  
        'call',  'pp_call(''std2_line'')'    ...  
        );   
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Min Max',              ...  
        'call', 'pp_call(''minmax_line'')'      ...  
        );   
 
    % - - - - - - - 
 
    uimenu(MU,'foregroundcolor',FGC, 'label',  'Fit Peak...',         ...  
        'separ', 'on',                          ...  
        'call',  'pp_call(''fit'',''peak'')'    ...  
        );   
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Fit Root...',          ...  
        'call', 'pp_call(''fit'',''root'')'     ...  
        );   
 
    % - - - - - - - 
 
    uimenu(MU,'foregroundcolor',FGC, 'label',  'Capture Line...',     ...  
        'separ', 'on',                          ...  
        'call',  'pp_call(''capture_line'')'    ...  
        );   
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Read Point...',        ...  
        'separ','on',                           ...  
        'call',  'pp_call(''get_xy'')'          ...  
        );   
 
    % - - - - - - - 
 
    uimenu(MU,'foregroundcolor',FGC, 'label', 'Markers',              ...  
        'separ','on',                           ...  
        'Tag','markerMU',                       ...  
        'call',  'pp_call(''markers'')'         ...  
        );   
 
    % -------------- [Gate] ------------------------------------------ 
 
%     if ~isempty(GATE) 
%  
%         MU = rtg_gateMU2; 
%  
%         uimenu(MU,'foregroundcolor',FGC,  'label', 'Select ...',              ...  
%             'call',  'pp_call(''set_gatenumber'')'      ...  
%             );   
%                     
%         uimenu(MU,'foregroundcolor',FGC,  'label', 'Reset',                           ...  
%             'call',  'pp_call(''set_gatenumber'',''reset'')'    ...  
%             );   
%     end 
 
%}define_fixed_menus 
 
 
function x = define_channelmu(p) 
%------------------------------- 
%{ 
    global rtg_CHANNELS rtg_channelMU FREQCH 
 
    menulist = []; 
    for k = 1:length(rtg_CHANNELS)  
        menulist{k}= rtg_CHANNELS(k).name;  
    end     
    callback = [... 
            'global rtg_channelMU,'... 
            'index = get(rtg_channelMU,''value'');'... 
            'pp_call(''setchannel'',index)'... 
                    ]; 
    rtg_channelMU = setpopmu(p.fig, p.pos, menulist, FREQCH,'','red','white'); 
    set(rtg_channelMU,'call',callback,'Tag','channelmu'); 
    uitotop(gcf, rtg_channelMU, 22, p.x, 0.25); 
    x = p.x + 0.25; 
    return 
%}define_channelmu 
 
 
function x = define_channelmu2(p) 
%-------------------------------- 
%{ 
    global rtg_CHANNELS2 FREQCH2 rtg_channelMU2 
 
    menulist = []; 
    for k = 1:length(rtg_CHANNELS2)  
        menulist{k} = rtg_CHANNELS2(k).name;  
    end     
    callback = [... 
            'global rtg_channelMU2,'... 
            'index = get(rtg_channelMU2,''value'');'... 
            'pp_call(''setchannel2'',index)'... 
                    ]; 
    rtg_channelMU2 = setpopmu(p.fig,p.pos,menulist,FREQCH2,'','magenta','white'); 
    set(rtg_channelMU2,'call',callback,'Tag','channelmu2'); 
    uitotop(gcf, rtg_channelMU2, 22, p.x, 0.25); 
    x = p.x + 0.25; 
    return 
%}define_channelmu2 
 
 
function x = define_modemu(p) 
%---------------------------- 
%{ 
    global rtg_modeMU 
 
    menulist = []; 
    for k = 1:length(p.list), menulist{k} = p.list(k).name; end     
    callback = [... 
            'global rtg_modeMU,'... 
            'index = get(rtg_modeMU,''Value'');'... 
            'pp_call(''setmode'',index)'... 
                    ]; 
    rtg_modeMU = setpopmu(p.fig,p.pos,menulist,p.mode,'','blue','white'); 
    set(rtg_modeMU,'call',callback,'Tag','modemu'); 
    uitotop(gcf, rtg_modeMU, 22, p.x+0.25, 0.25); 
    x = p.x + 0.25; 
    return 
%}define_modemu     
