function pp_setopt_gui(menutype)

% GUI to set pp_OPT 
% 21-Feb-2000, Am
% 5-Apr-2000 Jm
%
% See also: ppopt.m 

global pp_OPT GATE FREQCH rtg_CHANNELS rtg_FIGhandle
stdout=1;

%%        'Player  (on/off)';

options=cellstr({
        'Acf plot type  (contour/image/line/mesh/pcolor/waterfall)';
        'Altitude  (yes/no)';
        'Biased ACF  (yes/no)';
        'Deweight  (yes/no)';
        '[fmin fmax]';
        'Gating factor';
        'Gray display  (yes/no)';
        'Lag index ';
        'Normalize  (yes/no)';
        'Range scaling  (yes/no)';
        'Spectrum plottype  (mesh/pcolor/contour/image/line/waterfall)';
        'Windowed_SP  (yes/no)';
	'Range of first gate';
	'Range of last gate';
	'Gating factor';
	'Step';
});


title = 'Options';
lines = 1;
for k = 1:12  %JM 
    temp = getfield(pp_OPT,pp_OPT.Name{k});
    if ~ischar(temp), temp = num2str(temp); end              
    temp = ['  ' temp];        
    defaults(k) = cellstr(temp);
end


switch upper(menutype)

case 'POWER',
        pick  = [2 4 6 8 7];
case 'ACF',
        pick  = [1 11 9 3 7];
case 'SPECTRA',
        pick  = [11 5 12 7];
case 'GATE',
         global rtg_FIGhandle;
         fig = rtg_FIGhandle(2);
         ppwarning(fig, '<Set Gate>: GUI not available -- use command ''pp_setgate''');
         return;
  
    %% OBSOLATE - at the moment, the gating can only
    %% be set via the command line interface. See pp_getgate.m            

        for i=1:length(rtg_CHANNELS)
	  multivec(i)=pp_ismulti(rtg_CHANNELS(i).RMB);
        end
        temp = cumsum(multivec);
        cte = temp(FREQCH);
  
        title = ['Gate setting (',num2str(rtg_CHANNELS(FREQCH).name),')'];

        if pp_ismulti(rtg_CHANNELS(FREQCH).RMB)
           rtgwarning(rtg_FIGhandle(2),...
		      'Multiple channels not allowed to set the gating'); 
           return
	elseif  rtg_CHANNELS(FREQCH).isLP
	   pick = [14 15 17];
           temp1 = num2str(GATE(FREQCH-cte).r(1));
	   temp2 = num2str(GATE(FREQCH-cte).r(end));
           temp3 = num2str(GATE(FREQCH-cte).r(2)-GATE(FREQCH-cte).r(1));

           defaults(14)=cellstr(temp1);
           defaults(15)=cellstr(temp2);
           defaults(17)=cellstr(temp3);

        elseif ~rtg_CHANNELS(FREQCH).isLP
           pick = [14 15 16];
           temp1 = num2str(GATE(FREQCH-cte).r(1));
	   temp2 = num2str(GATE(FREQCH-cte).r(2));
           temp3 = num2str(GATE(FREQCH-cte).gating);

           defaults(14)=cellstr(temp1);
           defaults(15)=cellstr(temp2);
           defaults(16)=cellstr(temp3);
        end
end
 

answer = inputdlg(options(pick),title,lines,defaults(pick));


%--------------------------------------------------------
%         PP_OPTIONS  (Power, ACF, Spectra)
%--------------------------------------------------------

if ~isempty(answer)

 if pick(1)<14
   for k=1:length(pick),
        answ = strip(char(answer(k)));
	ppopt(char(pp_OPT.name(pick(k))),answ); % Update pp_OPT
   end
 else
    if ~rtg_CHANNELS(FREQCH).isLP
        pp_setgate(FREQCH-cte,str2num(char(answer(1))),...
		          str2num(char(answer(2))),...
		          str2num(char(answer(3))));   
    elseif  rtg_CHANNELS(FREQCH).isLP
        pp_setgate(FREQCH,str2num(char(answer(1))):str2num(char(answer(3))):...
		   str2num(char(answer(2))),GATE(FREQCH-cte).gating);
    end
 end                                          
else
    fprintf(stdout,'cancel')
end



