function pp_sp_lineplot(freq,spectra,range,color) 

%PP_SP_LINEPLOT(FREQ,SPECTRA) 
%
%   SPECTRA must contain the spectra as columns.
%
%   If the COLOR is given, it is used if there is only a single spectrum.
%   For multiple spectra, the colors are taken via ppopt_gatecolor().
%
%   3-Dec-1999 Jm

%{----------------------------------------------------------------------

    global ELEV

    if nargin == 3
        color = 'w';
    elseif nargin < 3 > nargin > 4
        error('Wrong number of input arguments');
    end                                
    
    if ppopt_altitude
        range = range2alt(range,ELEV);
    end

    N = size(spectra,2);
            
    oldhold = ishold;
    if N == 1
        h = plot(freq, spectra, color);
    else
        for gate = 1:size(spectra,2)
            h = plot(freq, spectra(:,gate), ppopt_gatecolor(gate));
            hold on
        end
    end
    if ~oldhold, hold off, end    
    grid
    xlabel('kHz')
    
   if N > 1 & N <= 5
        for k = 1:length(range)
            s{k} = sprintf('%1.0f',range(k));
        end
        legend(char(s));
    end                    
        
%}pp_sp_lineplot

