function msg = pperr(msg)

%pperr - Set/read pp_generic error message. If rtg is running, use rtgerr().
%   PPERR(MSG)
%   MSG = PPERR
%
%   Note that if MSG is numeric, it is converted to a string using str2num().
%
%   26-Oct-1999 Jm

    if nargin > 1
        error('Wrong number of input arguments');
    end        

    if rtg_runlevel > 0 
        if nargin == 0
            msg = rtgerr;
        else
            rtgerr(msg);
        end
    else        
        global pp_ERRMSG
        if nargin == 0
            if isempty(pp_ERRMSG)
                msg = '';
            else                
                msg = pp_ERRMSG;            
            end    
        else
            if ischar(msg)
                pp_ERRMSG = msg;
            elseif isnumeric(msg)
                pp_ERRMSG = num2str(msg);
                msg = pp_ERRMSG;
            else
                error('Wrong argument type')                
            end                
        end
    end                                        
