function n = ppopt_gating(rmb)

%PPOPT_GATING Return lag profile gating factor of a res mem block.
%   N = PPOPT_GATING(RMB)
%   Special cases: Gating factor = [] or = 1 ==> no gating
%                  Gating factor = 0 ==>  gating nfract for alt code, 
%                                         no gating for long pulse
%
%   Note that for ACF/SP, gating is set seperately.
%
%   29-Nov-1999 Jm

    global GUP
    if nargin ~= 1
        error('Wrong number of input parameters')
    end
            
    n = ppopt('gatingfactor');
    if isempty(n), n = 1; end
    if pp_isac(rmb)
        if n == 0
            n = GUP.Nfract;
        end
    end
    
                    
                            
        
