function ppopt(Name,Val)

% Function interface to pp_generic plot options
%
% PPOPT                 display all options
% VAL = PPOPT(NAME)     return value of given option
% PPOPT(NAME,VALUE)     set value of given options
%
% The NAME can be appreviated as long as it unambiguous.
% The character case is not significant. The allowed NAMEs
% are the field names of the rtg_OPT structure.
%
% 11-Nov-1999 Jm

    global rtg_OPT;
    
    if nargin > 2
        error('Wrong number of input parameters')
    end        
    
    if isempty(rtg_OPT)
        error('rtg_OPT is empty')
    end        

    if nargin == 0
        disp(rtg_OPT);
        return
    else
        Namelist = fieldnames(rtg_OPT);

        namelist = lowercase(Namelist);
        name = lowercase(Name);

        i = strmatch(name,namelist);
        if isempty(i)
            error(['Illegal parameter (' Name ')']);
        elseif length(i) > 1
            error(['Ambiguos parameter (' Name ')']);    
        else
            Name = Namelist{i};
        end
        if nargin == 1
            val = getfield(rtg_OPT,Name);
        elseif nargin == 2
            rtg_OPT = setfield(rtg_OPT,Name,Val);
        end            
    end
